<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/buyer/list"></ion-back-button>
    </ion-buttons>
    <!-- <ion-buttons slot="end">
      <ion-button (click)="signOut()">
        <ion-icon slot="icon-only" name="log-out"></ion-icon>
      </ion-button>
    </ion-buttons> -->
    <ion-title>{{ document?.name }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card *ngIf="document">
    <img [src]="document.img" />
    <ion-card-title>{{ document.name }}</ion-card-title>
    <ion-card-subtitle>R$ {{ document.price }}</ion-card-subtitle>
    <ion-card-content>
      <ion-row class="ion-align-items-center">
        <ion-col size="4" class="ion-text-center">
          <ion-button fill="clear" (click)="remove()" [disabled]="amount === 0">
            <ion-icon name="remove" slot="icon-only"></ion-icon>
          </ion-button>
        </ion-col>
        <ion-col size="4" class="ion-text-center">
          {{ amount }}
        </ion-col>
        <ion-col size="4" class="ion-text-center">
          <ion-button fill="clear" (click)="add()">
            <ion-icon name="add" slot="icon-only"></ion-icon>
          </ion-button>
        </ion-col>
      </ion-row>
      <div [innerHtml]="document.desc"></div>
    </ion-card-content>
  </ion-card>
</ion-content>
